ILVHOME=/usr/ilog/views

## everything standard
#USER_WIDGETS=-lXm -Bstatic -lXaw -Bdynamic -lXext -lXmu -lXt -lX11
#XDFLAGS=
###

## sco sysv3.4
#USER_WIDGETS=-lXm -lXaw -lXext -lXmu -lXt -lX11 -lrpc -lsocket -lintl -lmalloc -lm
#XDFLAGS=
###

## ibm aix
#USER_WIDGETS=-lXm -lXaw -lXext -lXmu -lXt -lX11
#XDFLAGS=
###

## dec osf1
#USER_WIDGETS=-lXm -lXaw -lXext -lXmu -lXt -lX11
#XDFLAGS=-taso
###

## ncr sysv4
#USER_WIDGETS=-lXm -lXaw -lXext -lXmu -lXt -lX11 -lnsl -lsocket -lgen -lresolv
#XDFLAGS=
###

## nec sysv4
#USER_WIDGETS=-lXm -lXaw -lXext -lXmu -lXt -lX11 -lnsl -lsocket -lgen -lresolv
#XDFLAGS=
###

## sg irix
#USER_WIDGETS=-lXm -lXaw -lXext -lXmu -lXt -lX11
#XDFLAGS=
###

## novell sysv4
#USER_WIDGETS=-L/usr/X/lib -lXm -lXaw -lXext -lXmu -lXt -lXimp -lX11 -lnsl -lsocket -lgen -lresolv
#XDFLAGS=
###

# solaris 2.x
USER_WIDGETS=-L${ILVHOME}/lib/sparc_5_4.0 -Lsparc_5_4.0 -lilvgadgt -lviews -lmviews -L/usr/openwin/lib -L/usr/dt/lib  -lXm -lXt -lX11 -lnsl -lsocket -ltt -lgen
XDFLAGS=-R/usr/openwin/lib -R/usr/dt/lib
##

## hp-ux 9.x
#USER_WIDGETS=-L/usr/lib/X11R5 -lXm -lXaw -lXext -lXmu -lXt -lX11
#XDFLAGS=-Wl,+b/usr/lib/X11R5:/usr/lib,+s
###

all::   visu.bin

visu.bin.save:
	rm -f $@
	CC -o $@ visu.o ../Athena/libconfig.a ${XDFLAGS} ${USER_WIDGETS} -lm -lc

visu.bin:
	rm -f $@
	CC -o $@ ../obj/visu.o ../obj/libXpm.a ${XDFLAGS} ${USER_WIDGETS} -lm -lc -ldl

